com.opensymphony.xwork2.util.logging

## Class LoggerFactory

- java.lang.Object
- - com.opensymphony.xwork2.util.logging.LoggerFactory

- Direct Known Subclasses:
    CommonsLoggerFactory, JdkLoggerFactory, Log4j2LoggerFactory, Slf4jLoggerFactory

  Deprecated.
  since 2.5

      @Deprecated
      public abstract class LoggerFactory
      extends Object

  Creates loggers. Static accessor will lazily try to decide on the best factory if none specified.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerFactory()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logger` | `getLogger(Class<?> cls)` Deprecated.
    `static Logger` | `getLogger(String name)` Deprecated.
    `protected static LoggerFactory` | `getLoggerFactory()` Deprecated.
    `protected abstract Logger` | `getLoggerImpl(Class<?> cls)` Deprecated.
    `protected abstract Logger` | `getLoggerImpl(String name)` Deprecated.
    `static void` | `setLoggerFactory(LoggerFactory factory)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggerFactory

          public LoggerFactory()

      Deprecated.

  - ### Method Detail

    - #### setLoggerFactory

          public static void setLoggerFactory(LoggerFactory factory)

      Deprecated.

    - #### getLogger

          public static Logger getLogger(Class<?> cls)

      Deprecated.

    - #### getLogger

          public static Logger getLogger(String name)

      Deprecated.

    - #### getLoggerFactory

          protected static LoggerFactory getLoggerFactory()

      Deprecated.

    - #### getLoggerImpl

          protected abstract Logger getLoggerImpl(Class<?> cls)

      Deprecated.

    - #### getLoggerImpl

          protected abstract Logger getLoggerImpl(String name)

      Deprecated.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.